tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class CannotEncryptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.jaxmpp.core.client.exceptions.JaxmppException
      - - tigase.jaxmpp.core.client.xmpp.modules.omemo.OMEMOException
        - - tigase.jaxmpp.core.client.xmpp.modules.omemo.CannotEncryptException

- All Implemented Interfaces:
    Serializable

      public class CannotEncryptException
      extends OMEMOException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotEncryptException()`
    `CannotEncryptException(String message)`
    `CannotEncryptException(String message, Throwable cause)`
    `CannotEncryptException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotEncryptException

          public CannotEncryptException()

    - #### CannotEncryptException

          public CannotEncryptException(String message)

    - #### CannotEncryptException

          public CannotEncryptException(String message,
                                        Throwable cause)

    - #### CannotEncryptException

          public CannotEncryptException(Throwable cause)

Copyright © 2006–2020 Tigase. All rights reserved.